Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class PresIdleParams

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.streaming.PresIdleParams

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class PresIdleParams
extends QTPointerRef

A class that represents an presentation idle parameters

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`PresIdleParams()` Create a PresIdleParams object
`PresIdleParams(Stream s, long timeToDisplay, int flagsIn)` This constructor creates an PresIdleParams Object

Method Summary
`int` | `getFlagsOut()` This method gets the output flags of the params object
`Stream` | `getStream()`
`void` | `setFlagsIn(int flags)` This method sets the input flags of the prarms object
`void` | `setMovieTimeToDisplay(long time)` This method sets the movie time to display of the params object
`void` | `setStream(Stream s)` This method sets the stream of the params object

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### PresIdleParams

    public PresIdleParams()
                   throws QTException

  Create a PresIdleParams object

### PresIdleParams

    public PresIdleParams(Stream s,
                          long timeToDisplay,
                          int flagsIn)
                   throws QTException

  This constructor creates an PresIdleParams Object
  Parameters:
    `s` - the stream of the presentation
    `startTime` - the start time of the stream
    `rate` - the rate of the stream

Method Detail

### setStream

    public void setStream(Stream s)
                   throws QTException

  This method sets the stream of the params object
  Parameters:
    `s` - the stream of the params

### getStream

    public Stream getStream()
                     throws QTException

  Returns:
    the stream of the params

### setMovieTimeToDisplay

    public void setMovieTimeToDisplay(long time)
                               throws QTException

  This method sets the movie time to display of the params object
  Parameters:
    `time` - the time of the params

### setFlagsIn

    public void setFlagsIn(int flags)
                    throws QTException

  This method sets the input flags of the prarms object
  Parameters:
    `flags` - input flags

### getFlagsOut

    public int getFlagsOut()
                    throws QTException

  This method gets the output flags of the params object
  Returns:
    flags

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD